repos:
  - repo: https://github.com/antonbabenko/pre-commit-terraform
    rev: v1.96.2
    hooks:
      - id: terraform_fmt
      - id: terraform_docs
        args: [ "--args=--lockfile=false --anchor=false" ]
      - id: terraform_tflint
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: check-added-large-files
      - id: check-case-conflict
      - id: check-merge-conflict
      - id: detect-private-key
      - id: end-of-file-fixer
      - id: mixed-line-ending
      - id: trailing-whitespace
  - repo: https://github.com/markdownlint/markdownlint.git
    rev: v0.12.0
    hooks:
      - id: markdownlint
        language: system
        exclude: ^README.md$
        args:
          # Disable line length check
          # Disable first header check
          - '-r'
          - '~MD013,~MD002'
      - id: markdownlint
        language: system
        files: ^README.md$
        args:
          # Disable line length check
          # Disable html check
          - '-r'
          - '~MD013,~MD033'
